#ifndef FE_AI_H
#define FE_AI_H

#include "common/ai.h"


class FEAI : public AI
{
 Q_OBJECT

 public:
    FEAI(uint thinkTime, uint orderTime);

 private:
    static int nbPuyos(const Board &, const Board &);
    static int nbChained(const Board &, const Board &);
};

#endif
